<?php if(file_exists("../../config/config_dir_raiz.php")) { require_once("../../config/config_dir_raiz.php"); } elseif(file_exists("config/config_dir_raiz.php")) { require_once("config/config_dir_raiz.php"); }
$config = new Config();
require_once($config->diretorio_raiz()."/src/controller/Funcoes_bd.php");
require_once($config->diretorio_raiz()."/src/model/bd/Bi_usuarioDAO.php");
class LoginDAO
{
	private $_funcoes_bd;
	private $_banco_atual;
	private $conexao;
	function __construct()
	{
		$this->conexao = Conexao::obterConexao();
		$this->_banco_atual = Conexao::getUtilizarBanco();
		$this->_funcoes_bd = new Funcoes_bd();
	}
	
	public function logar($usuario, $senha)
	{
		$inputs = array();
		$sql = "select * from bi_usuario where upper(usuario) = '".$usuario."' and senha = MD5('".$senha."')  ";
		$usuario = new Bi_usuario();
		$rows_usuarios = $this->_funcoes_bd->sql($sql);
		$lagado = false;
		foreach ($rows_usuarios as $row)
		{
			$lagado = true;
			$_SESSION["id_usuario_bi"] = $row["codigo"];
			$_SESSION["nome_usuario_bi"] = $row["nome"];
			$_SESSION["alterar_senha_bi"] = false;
			$_SESSION["admin_bi"] = false;
			if($row["admin"] == "1")
			{
				$_SESSION["admin_bi"] = true;
			}
			$_SESSION["alterar_senha_proximo_login"] = false;
			if($row["alterar_senha_proximo_login"] == "1")
			{
				$_SESSION["alterar_senha_proximo_login"] = true;
			}
			/*if($row["alt_senha_proximo_login"] == "1")
			{
				$_SESSION["alterar_senha_bi"] = true;
			}*/
		}
		return $lagado;
	}
	
}